.noscroll { overflow: hidden; height: 100%; }

p.main-img { display: table-cell; vertical-align: middle; }

.product-images { height: 100%; background-color: #FAFAFA;
  .product-details { min-height: 100px; max-height: 50%; overflow: auto; margin-bottom: 25px; }
}

.thumb { border: 1px solid #414141; }

@media screen and (min-width: 800px) {
  html, body, .container-table { height: 100%; }
  .scrolly { background-color: #D9D9D9; height: 50%; overflow-y: scroll; bottom: 0; }
}
@media screen and (max-width: 480px) {
  .container-table { height: 45% !important; }
  .flexBox { overflow: hidden; display: -webkit-box; /* OLD: Safari,  iOS, Android browser, older WebKit browsers.  */ display: -moz-box; /* OLD: Firefox (buggy) */ display: -ms-flexbox; /* MID: IE 10 */ display: -webkit-flex; /* NEW, Chrome 21?28, Safari 6.1+ */ display: flex; -webkit-flex-flow: row wrap; -moz-flex-flow: row wrap; -ms-flex-flow: row wrap; flex-flow: row wrap;
    .a { order: 3; -webkit-order: 3; margin: 0; }
    .b { order: 1; -webkit-order: 1; margin: 0; }
    .c { order: 2; -webkit-order: 2; margin: 0; }
  }
  .product-images { margin-top: 0 !important; height: auto !important;
    .scrollx { background-color: #D9D9D9; overflow-x: scroll; bottom: 0; height: auto; display: flex; flex-flow: row;
      .flex-item { flex: none; -webkit-flex: none; }
    }
  }
  body { padding-top: 0 !important; background-color: #f9f9f9 !important; }
}
@media screen and (min-width: 480px) and (max-width: 800px) {
  .flexbox{ display: inline-flex;
    .a { width: 63%; float: left; }
    .b {  }
    .c { width: 44%; }
  }
  .product-images { margin-top: 0 !important; height: auto !important; }
  body { padding-top: 0 !important; background-color: #f9f9f9 !important; overflow: hidden; }
}